Get voucher for a contact

Get voucher for a contact

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

pidstringRequiredformat: "uuid"
Loyalty Program ID

Query parameters

limitintegerOptional1-100Defaults to 25
Page size
offsetintegerOptionalDefaults to 0
Pagination offset
sortenumOptionalDefaults to desc
Sort order
Allowed values:
sortFieldenumOptionalDefaults to updatedAt
Sort field
Allowed values:
contactIdintegerRequired>=1
Contact ID
metadata_key_valuestringOptional
Metadata value for a Key filter
rewardIdstringOptional
Reward ID

Response

Voucher list successfully retrieved
contactIdlong
Contact id associated with the current reward
contactRewardslist of objects
List of all the rewards for current contact
countinteger
Count of the rewards associated with the current contact
loyaltyProgramIdstring
Loyalty Program Id for the contact
loyaltySubscriptionIdstring
Loyalty Subscription Id for the contact

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error